Index: ext/sndfileio.c
===================================================================
--- ext/sndfileio.c	(revision 9fc2c7e7602a9317ffaaf694e862b85f917c7c2a)
+++ ext/sndfileio.c	(revision a29ad469acef958f7657a3757cfc43a0de6fd7d1)
@@ -30,5 +30,5 @@
 #define MAX_SIZE 4096
 
-struct _aubio_file_t {
+struct _aubio_sndfile_t {
         SNDFILE *handle;
         int samplerate;
@@ -39,6 +39,6 @@
 };
 
-aubio_file_t * new_file_ro(const char* outputname) {
-        aubio_file_t * f = AUBIO_NEW(aubio_file_t);
+aubio_sndfile_t * new_aubio_sndfile_ro(const char* outputname) {
+        aubio_sndfile_t * f = AUBIO_NEW(aubio_sndfile_t);
         SF_INFO sfinfo;
         AUBIO_MEMSET(&sfinfo, 0, sizeof (sfinfo));
@@ -65,5 +65,5 @@
 }
 
-int file_open_wo(aubio_file_t * f, const char* inputname) {
+int aubio_sndfile_open_wo(aubio_sndfile_t * f, const char* inputname) {
         SF_INFO sfinfo;
         memset (&sfinfo, 0, sizeof (sfinfo));
@@ -90,10 +90,10 @@
 
 /* setup file struct from existing one */
-aubio_file_t * new_file_wo(aubio_file_t * fmodel, const char *outputname) {
-        aubio_file_t * f = AUBIO_NEW(aubio_file_t);
+aubio_sndfile_t * new_aubio_sndfile_wo(aubio_sndfile_t * fmodel, const char *outputname) {
+        aubio_sndfile_t * f = AUBIO_NEW(aubio_sndfile_t);
         f->samplerate    = fmodel->samplerate;
         f->channels      = fmodel->channels;
         f->format        = fmodel->format;
-        file_open_wo(f, outputname);
+        aubio_sndfile_open_wo(f, outputname);
         return f;
 }
@@ -101,5 +101,5 @@
 
 /* return 0 if properly closed, 1 otherwise */
-int del_file(aubio_file_t * f) {
+int del_aubio_sndfile(aubio_sndfile_t * f) {
         if (sf_close(f->handle)) {
                 AUBIO_ERR("Error closing file.");
@@ -122,5 +122,5 @@
 /* read frames from file in data 
  *  return the number of frames actually read */
-int file_read(aubio_file_t * f, int frames, fvec_t * read) {
+int aubio_sndfile_read(aubio_sndfile_t * f, int frames, fvec_t * read) {
         sf_count_t read_frames;
         int i,j, channels = f->channels;
@@ -131,5 +131,5 @@
         /* allocate data for de/interleaving reallocated when needed. */
         if (nsamples >= f->size) {
-                AUBIO_ERR("Maximum file_read buffer size exceeded.");
+                AUBIO_ERR("Maximum aubio_sndfile_read buffer size exceeded.");
                 return -1;
                 /*
@@ -158,5 +158,5 @@
  *   return the number of frames actually written 
  */
-int file_write(aubio_file_t * f, int frames, fvec_t * write) {
+int aubio_sndfile_write(aubio_sndfile_t * f, int frames, fvec_t * write) {
         sf_count_t written_frames = 0;
         int i, j,	channels = f->channels;
@@ -166,5 +166,5 @@
         /* allocate data for de/interleaving reallocated when needed. */
         if (nsamples >= f->size) {
-                AUBIO_ERR("Maximum file_write buffer size exceeded.");
+                AUBIO_ERR("Maximum aubio_sndfile_write buffer size exceeded.");
                 return -1;
                 /*
@@ -192,13 +192,13 @@
  */
 
-uint_t aubio_file_channels(aubio_file_t * f) {
+uint_t aubio_sndfile_channels(aubio_sndfile_t * f) {
         return f->channels;
 }
 
-uint_t aubio_file_samplerate(aubio_file_t * f) {
+uint_t aubio_sndfile_samplerate(aubio_sndfile_t * f) {
         return f->samplerate;
 }
 
-void file_info(aubio_file_t * f) {
+void aubio_sndfile_info(aubio_sndfile_t * f) {
         AUBIO_DBG("srate    : %d\n", f->samplerate);
         AUBIO_DBG("channels : %d\n", f->channels);
Index: ext/sndfileio.h
===================================================================
--- ext/sndfileio.h	(revision 9fc2c7e7602a9317ffaaf694e862b85f917c7c2a)
+++ ext/sndfileio.h	(revision a29ad469acef958f7657a3757cfc43a0de6fd7d1)
@@ -31,38 +31,38 @@
  * sndfile object
  */
-typedef struct _aubio_file_t aubio_file_t;
+typedef struct _aubio_sndfile_t aubio_sndfile_t;
 /** 
  * Open a sound file for reading
  */
-aubio_file_t * new_file_ro (const char * inputfile);
+aubio_sndfile_t * new_aubio_sndfile_ro (const char * inputfile);
 /**
  * Copy file model from previously opened sound file.
  */
-aubio_file_t * new_file_wo(aubio_file_t * existingfile, const char * outputname);
+aubio_sndfile_t * new_aubio_sndfile_wo(aubio_sndfile_t * existingfile, const char * outputname);
 /** 
  * Open a sound file for writing
  */
-int file_open_wo (aubio_file_t * file, const char * outputname);
+int aubio_sndfile_open_wo (aubio_sndfile_t * file, const char * outputname);
 /** 
  * Read frames data from file 
  */
-int file_read(aubio_file_t * file, int frames, fvec_t * read);
+int aubio_sndfile_read(aubio_sndfile_t * file, int frames, fvec_t * read);
 /** 
  * Write data of length frames to file
  */
-int file_write(aubio_file_t * file, int frames, fvec_t * write);
+int aubio_sndfile_write(aubio_sndfile_t * file, int frames, fvec_t * write);
 /**
  * Close file and delete file object
  */
-int del_file(aubio_file_t * file);
+int del_aubio_sndfile(aubio_sndfile_t * file);
 /**
  * Return some files facts
  */
-void file_info(aubio_file_t * file);
+void aubio_sndfile_info(aubio_sndfile_t * file);
 /**
  * Return number of channel in file
  */
-uint_t aubio_file_channels(aubio_file_t * file);
-uint_t aubio_file_samplerate(aubio_file_t * file);
+uint_t aubio_sndfile_channels(aubio_sndfile_t * file);
+uint_t aubio_sndfile_samplerate(aubio_sndfile_t * file);
 
 #ifdef __cplusplus
